Reporting Service
Reporting service allows users to retrieve detailed transaction information, latest status of the payments, refund results and fraud scenarios before taking the financial decision.
Reporting API - Transaction Detail
The reporting service returns the current status of payments, refund results, and fraud statuses. It works with both paymentConversationId and paymentId. At least one of these must be provided.
Language code.
enPossible values: Can be used to correlate request/response. Echoed back in the response as-is.
123Payment ID. Required if paymentConversationId is not sent.
25168803Conversation ID of the payment. Can be used to query by conversationId. Required if paymentId is not sent.
123456789Authorization header, IYZWSv2 ile başlayan ve base64 formatında üretilmiş imzalı hash değeridir.
Content type of the request body.
application/jsonSuccessful response — transaction detail
Indicates the result of the request.
successPossible values: Response language (tr/en).
enOperation time (epoch ms).
1755198001941ID matching the request (if present).
conversationIdInvalid request / validation error
GET https://api.iyzipay.com/v2/reporting/payment/details?locale=en&paymentConversationId=123321&conversationId=123
Authorization: IYZWSv2 YXBpS2V5OnNhbmRib....E0OGI1MTE=
Content-Type: application/json
{
"status": "success",
"locale": "en",
"systemTime": 1756383869332,
"payments": [
{
"paymentId": 25236546,
"paymentStatus": 1,
"paymentRefundStatus": "PARTIALLY_REFUNDED",
"price": 1,
"paidPrice": 50,
"installment": 1,
"merchantCommissionRate": 4900,
"merchantCommissionRateAmount": 49,
"iyziCommissionRateAmount": 1.745,
"iyziCommissionFee": 0.25,
"paymentConversationId": "123321",
"fraudStatus": 1,
"cardType": "CREDIT_CARD",
"cardAssociation": "MASTER_CARD",
"cardFamily": "Axess",
"binNumber": "552608",
"lastFourDigits": "0006",
"basketId": "16733998",
"currency": "TRY",
"connectorName": "IYZI_POS",
"authCode": "185027",
"threeDS": false,
"phase": "AUTH",
"acquirerBankName": "iyziPos",
"hostReference": "mock00007iyzihostrfn",
"createdDate": "2025-08-28T15:19:03Z",
"cancels": [],
"itemTransactions": [
{
"paymentTransactionId": 27225634,
"transactionStatus": 2,
"price": 1,
"paidPrice": 50,
"merchantCommissionRate": 4900,
"merchantCommissionRateAmount": 49,
"iyziCommissionRateAmount": 1.745,
"iyziCommissionFee": 0.25,
"blockageRate": 0,
"blockageRateAmountMerchant": 0,
"blockageRateAmountSubMerchant": 0,
"blockageResolvedDate": "2025-09-05T00:00:00Z",
"subMerchantPrice": 0,
"subMerchantPayoutRate": 0,
"subMerchantPayoutAmount": 0,
"merchantPayoutAmount": 48.005,
"convertedPayout": {
"paidPrice": 50,
"iyziCommissionRateAmount": 1.745,
"iyziCommissionFee": 0.25,
"blockageRateAmountMerchant": 0,
"blockageRateAmountSubMerchant": 0,
"subMerchantPayoutAmount": 0,
"merchantPayoutAmount": 48.005,
"iyziConversionRate": 0,
"iyziConversionRateAmount": 0,
"currency": "TRY"
},
"refunds": [
{
"refundTxId": 3673487,
"refundConversationId": "conversationId",
"refundPrice": 0.5,
"refundStatus": 1,
"isAfterSettlement": false,
"createdDate": "2025-08-28T15:19:08Z",
"currencyCode": "TRY",
"authCode": "839860",
"hostReference": "mock00007iyzihostrfn",
"iyziCommissionRateAmount": 0.01745
}
]
}
]
},
{
"paymentId": 25236539,
"paymentStatus": 1,
"paymentRefundStatus": "TOTALLY_REFUNDED",
"price": 1,
"paidPrice": 50,
"installment": 1,
"merchantCommissionRate": 4900,
"merchantCommissionRateAmount": 49,
"iyziCommissionRateAmount": 1.745,
"iyziCommissionFee": 0.25,
"paymentConversationId": "123321",
"fraudStatus": 1,
"cardType": "CREDIT_CARD",
"cardAssociation": "MASTER_CARD",
"cardFamily": "Axess",
"binNumber": "552608",
"lastFourDigits": "0006",
"basketId": "16733997",
"currency": "TRY",
"connectorName": "IYZI_POS",
"authCode": "827023",
"threeDS": false,
"phase": "AUTH",
"acquirerBankName": "iyziPos",
"hostReference": "mock00007iyzihostrfn",
"createdDate": "2025-08-28T15:18:52Z",
"cancels": [
{
"refundId": 4177835,
"cancelConversationId": "123456789",
"refundPrice": 50,
"refundStatus": 1,
"createdDate": "2025-08-28T15:18:58Z",
"currencyCode": "TRY",
"authCode": "086147",
"hostReference": "mock00007iyzihostrfn"
}
],
"itemTransactions": [
{
"paymentTransactionId": 27225633,
"transactionStatus": 2,
"price": 1,
"paidPrice": 50,
"merchantCommissionRate": 4900,
"merchantCommissionRateAmount": 49,
"iyziCommissionRateAmount": 1.745,
"iyziCommissionFee": 0.25,
"blockageRate": 0,
"blockageRateAmountMerchant": 0,
"blockageRateAmountSubMerchant": 0,
"blockageResolvedDate": "2025-09-05T00:00:00Z",
"subMerchantPrice": 0,
"subMerchantPayoutRate": 0,
"subMerchantPayoutAmount": 0,
"merchantPayoutAmount": 48.005,
"convertedPayout": {
"paidPrice": 50,
"iyziCommissionRateAmount": 1.745,
"iyziCommissionFee": 0.25,
"blockageRateAmountMerchant": 0,
"blockageRateAmountSubMerchant": 0,
"subMerchantPayoutAmount": 0,
"merchantPayoutAmount": 48.005,
"iyziConversionRate": 0,
"iyziConversionRateAmount": 0,
"currency": "TRY"
},
"refunds": []
}
]
}
]
}Sample Codes
Reporting API - Daily Transactions
Returns the list of payment/cancel/refund operations that occurred on a specific date.
Language code.
enPossible values: Can be used to correlate request/response. Echoed back in the response as-is.
123Page number (starts from 1).
1Date to query (YYYY-MM-DD). Example: 2025-07-24.
2025-07-24Authorization header, IYZWSv2 ile başlayan ve base64 formatında üretilmiş imzalı hash değeridir.
Content type of the request body.
application/jsonSuccessful response — daily transactions
Indicates the result of the request.
successPossible values: Response language (tr/en).
enOperation time (epoch ms).
1755198001941ID matching the request (if present).
conversationIdCurrent page number.
1Total number of pages.
1Invalid request / validation error
GET https://api.iyzipay.com/v2/reporting/payment/transactions?conversationId=123456x789&page=1&transactionDate=2025-07-24
Authorization: IYZWSv2 YXBpS2V5OnNhbmRib....E0OGI1MTE=
Content-Type: application/json
{
"status": "success",
"systemTime": 1756387157979,
"conversationId": "123456789",
"transactions": [
{
"transactionType": "REFUND",
"transactionDate": "2025-07-14 14:48:24",
"transactionId": 3666275,
"afterSettlement": 0,
"paymentTxId": 26509582,
"paymentId": 24511629,
"conversationId": "123456789",
"paymentPhase": "AUTH",
"price": 0.55,
"paidPrice": 1.1,
"transactionCurrency": "TRY",
"installment": 1,
"threeDS": 0,
"settlementCurrency": "TRY",
"connectorType": "IYZI_POS",
"posOrderId": "mock12-0699417518704633iyziord",
"authCode": "830889",
"hostReference": "mock00001iyzihostrfn",
"basketId": "B67832"
},
{
"transactionType": "REFUND",
"transactionDate": "2025-07-14 14:48:24",
"transactionId": 3666291,
"afterSettlement": 0,
"paymentTxId": 26509581,
"paymentId": 24511629,
"conversationId": "123456789",
"paymentPhase": "AUTH",
"price": 0.23,
"paidPrice": 1.1,
"transactionCurrency": "TRY",
"installment": 1,
"threeDS": 0,
"settlementCurrency": "TRY",
"connectorType": "IYZI_POS",
"posOrderId": "mock12-0699417518704633iyziord",
"authCode": "830889",
"hostReference": "mock00001iyzihostrfn",
"basketId": "B67832"
},
{
"transactionType": "REFUND",
"transactionDate": "2025-07-14 14:48:24",
"transactionId": 3666292,
"afterSettlement": 0,
"paymentTxId": 26509583,
"paymentId": 24511629,
"conversationId": "123456789",
"paymentPhase": "AUTH",
"price": 0.22,
"paidPrice": 1.1,
"transactionCurrency": "TRY",
"installment": 1,
"threeDS": 0,
"settlementCurrency": "TRY",
"connectorType": "IYZI_POS",
"posOrderId": "mock12-0699417518704633iyziord",
"authCode": "830889",
"hostReference": "mock00001iyzihostrfn",
"basketId": "B67832"
},
{
"transactionType": "REFUND",
"transactionDate": "2025-07-14 14:47:53",
"transactionId": 3666289,
"afterSettlement": 0,
"paymentTxId": 26509581,
"paymentId": 24511629,
"conversationId": "conversationId",
"paymentPhase": "AUTH",
"price": 0.1,
"paidPrice": 1.1,
"transactionCurrency": "TRY",
"installment": 1,
"threeDS": 0,
"settlementCurrency": "TRY",
"connectorType": "IYZI_POS",
"posOrderId": "mock12-0699417518704633iyziord",
"authCode": "959162",
"hostReference": "mock00001iyzihostrfn",
"basketId": "B67832"
},
{
"transactionType": "PAYMENT",
"transactionDate": "2025-07-14 14:44:46",
"transactionId": 26509581,
"transactionStatus": 2,
"paymentTxId": 26509581,
"paymentId": 24511629,
"conversationId": "123456789",
"paymentPhase": "AUTH",
"price": 0.3,
"paidPrice": 0.33,
"transactionCurrency": "TRY",
"installment": 1,
"threeDS": 0,
"iyzicoCommission": 0.011517,
"iyzicoFee": 0.075,
"parity": 1,
"iyzicoConversionAmount": 0,
"settlementCurrency": "TRY",
"merchantPayoutAmount": 0.243483,
"connectorType": "IYZI_POS",
"posOrderId": "mock12-0699417518704633iyziord",
"subMerchantPayoutAmount": 0,
"authCode": "610336",
"hostReference": "mock00001iyzihostrfn",
"basketId": "B67832"
},
{
"transactionType": "PAYMENT",
"transactionDate": "2025-07-14 14:44:46",
"transactionId": 26509582,
"transactionStatus": 2,
"paymentTxId": 26509582,
"paymentId": 24511629,
"conversationId": "123456789",
"paymentPhase": "AUTH",
"price": 0.5,
"paidPrice": 0.55,
"transactionCurrency": "TRY",
"installment": 1,
"threeDS": 0,
"iyzicoCommission": 0.019195,
"iyzicoFee": 0.125,
"parity": 1,
"iyzicoConversionAmount": 0,
"settlementCurrency": "TRY",
"merchantPayoutAmount": 0.405805,
"connectorType": "IYZI_POS",
"posOrderId": "mock12-0699417518704633iyziord",
"subMerchantPayoutAmount": 0,
"authCode": "610336",
"hostReference": "mock00001iyzihostrfn",
"basketId": "B67832"
},
{
"transactionType": "PAYMENT",
"transactionDate": "2025-07-14 14:44:46",
"transactionId": 26509583,
"transactionStatus": 2,
"paymentTxId": 26509583,
"paymentId": 24511629,
"conversationId": "123456789",
"paymentPhase": "AUTH",
"price": 0.2,
"paidPrice": 0.22,
"transactionCurrency": "TRY",
"installment": 1,
"threeDS": 0,
"iyzicoCommission": 0.007678,
"iyzicoFee": 0.05,
"parity": 1,
"iyzicoConversionAmount": 0,
"settlementCurrency": "TRY",
"merchantPayoutAmount": 0.162322,
"connectorType": "IYZI_POS",
"posOrderId": "mock12-0699417518704633iyziord",
"subMerchantPayoutAmount": 0,
"authCode": "610336",
"hostReference": "mock00001iyzihostrfn",
"basketId": "B67832"
}
],
"currentPage": 1,
"totalPageCount": 1
}Sample Codes
Last updated
